[Thinkpad X220/E220s/E420s] trackpoint/trackpoint displays odd behaviour

Bug #787738 reported by Marc Legris on 2011-05-24
64
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
Fedora
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Natty
Medium
Chris Van Hoof
Oneiric
Medium
Chris Van Hoof

Bug Description

Using the touchpad does not result in expected behavior. The touchpad has three "mouse" buttons on top, and none of these buttons currently function. Using xev does not show any output from these buttons. The touchpad itself works fine. There are two bottom buttons integrated with the touchpad, which do not work consistantly. The left button will sometimes act like a left-click and sometime like a right click, making it hard to move applications on the screen. The right button acts like a left click and only sometimes bring up menus. Trying to change from a left hand to a right hand mouse in mouse options does not change the behavior.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: u 1235 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xd2520000 irq 44'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:14f1506e,17aa21da,00100000 HDA:80862805,80860101,00100000'
   Controls : 20
   Simple ctrls : 8
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw unknown'
   Mixer name : 'ThinkPad EC (unknown)'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Tue May 24 14:44:59 2011
HibernationDevice: RESUME=UUID=dd9d30b2-4950-42af-87e2-b304fc01e83d
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
MachineType: LENOVO 428623U
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=4985f74f-9e44-411f-8d41-73f9f68c057d ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/25/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET28WW (1.00 )
dmi.board.asset.tag: Not Available
dmi.board.name: 428623U
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET28WW(1.00):bd01/25/2011:svnLENOVO:pn428623U:pvrThinkPadX220:rvnLENOVO:rn428623U:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 428623U
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO

Created attachment 54402
ls -l /dev/input

Hello.

I got a new Thinkpad E420s the otherday and have come across a odd problem.

This laptop has a touchpad and a trackpoint. Sometimes the trackpoint will be detected and sometimes it will not.

Distro: Arch Linux

When the trackpoint is detected:
*rmmod psmouse results in mouse0 and mouse2 disappearing (ls /dev/input). mouse1 = usb logitech mouse
*modprobe psmouse results in mouse0 (the trackpoint) being detected and created right away. However, it takes about 20 seconds for the trackpoint (mouse2) to be created.

When the trackpoint is NOT detected I simply have mouse0 (touchpad) and mouse1 (usb logitech mouse)

Work / Solution
*Reboot into Windows 7. Insure trackpoint works (always does). Reboot into Linux device is detected. In my tests it seems that the device stops getting detected after 6-8 reboots. However, I did also have the problem after resuming from suspend-to-ram.

Let me know what information I need to provide and any way that I can help.

Created attachment 54412
dmesg - trackpoint works

Created attachment 54422
dmesg - no trackpoint

It seems that the trackpoint will get detected after a while. I noticed that the trackpoint was detected and started to work after 40 minutes uptime.

Apr 18 06:39:40 skynet kernel: [ 7.220899] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input6
Apr 18 06:39:40 skynet kernel: [ 7.768977] input: Logitech USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2/2-1.2:1.0/input/input7
Apr 18 06:39:40 skynet kernel: [ 7.769205] generic-usb 0003:046D:C03D.0001: input,hidraw0: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.0-1.2/input0
Apr 18 06:39:40 skynet kernel: [ 7.801948] input: Integrated Camera as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/input/input8
Apr 18 06:59:27 skynet kernel: [ 1197.429868] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/serio2/input/input9

As you can see it took about 20 minutes to detect the trackpoint ("PS/2 generic Mouse")

I will attach the kernel.log file.

Running: 2.6.38.3

Created attachment 54592
kernel.log

As you can see, the trackpoint was detected about 20 minutes after the touchpad.

I have a similar problem with the X220, from what I found was, if you disable the touchpad in the bios, the trackpoint will work flawlessly. It will be recognized as a IBM Trackpoint device. If you enable the touchpad, the trackpoint is setup as a pass-through device and psmouse_probe() fails to get a valid ID from the controller. Digging deeper it seems like the controller is NAKing ID requests. Could this be a firmware/bios issue?

It is found that limiting the ps/2 protocol use to bare (modprobe psmouse proto=bare) makes both the trackpoint and touchpad work on X220. Does this also fix Thinkpad E420s, too?

As far as I can tell this seems to fix the problem! However, it is still listed as a "PS/2 Generic Mouse" which isn't a big issue.

Is it possible to have psmouse load with proto=bare for this mouse/touchpad? How would something like this be done in the kernel/module (curious)?

Just discovered it works, BUT I lose the ability to scroll and do the two finger tap, middle click using the clickpad/touchpad.

The trackpoint is detected when the psmouse.c driver realizes it has lost synchronization. So it is probably misdetecting and trying to parse a different protocol. Which also explains why parsing proto=bare works.

The question is now: Why is there a difference in functionality when proto=bare is used and when psmouse degrades the protocol by itself.

What information is needed from us experiencing the bug to try and address this? Do we need i8042.debug from the time we boot until the time the trackpoint is detected?

description: updated
Manoj Iyer (manjo) wrote :

Please try rmmod psmouse, modprobe psmouse proto=bare

@Manoj

The behavior of the trackpad and its buttons now functions normally after running the commands.

This fixes the same behavior seen on the Thinkpad X220i tablet as well

Chris Van Hoof (vanhoof) on 2011-05-24
tags: added: hwe-blocker
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Manoj Iyer (manjo)
Chris Van Hoof (vanhoof) on 2011-05-31
summary: - [Thinkpad X220] Touchpad buttons display odd behavior
+ [Thinkpad X220] trackpoint/trackpoint displays odd behaviour
Chris Van Hoof (vanhoof) on 2011-06-01
summary: - [Thinkpad X220] trackpoint/trackpoint displays odd behaviour
+ [Thinkpad X220/E220s] trackpoint/trackpoint displays odd behaviour
Chris Van Hoof (vanhoof) wrote :

Keng-yu -- Can you give this a test on the x220 with Natty? I have a x220 in hand now, and have not been able to reproduce this with either the 1.12, or the recently released 1.16 BIOS:

vanhoof@brooklynzoo:~$ sudo dmidecode --string=system-version
ThinkPad X220
vanhoof@brooklynzoo:~$ sudo dmidecode --string=system-product-name
4286CTO
vanhoof@brooklynzoo:~$ sudo dmidecode --string=bios-version
8DET46WW (1.16 )

--chris

Changed in linux (Ubuntu Natty):
assignee: nobody → Keng-Yü Lin (lexical)
Changed in linux (Ubuntu Oneiric):
assignee: Manoj Iyer (manjo) → Keng-Yü Lin (lexical)
Chris Van Hoof (vanhoof) on 2011-06-07
Changed in linux (Ubuntu Natty):
importance: Undecided → Medium
status: New → Incomplete
Changed in linux (Ubuntu Oneiric):
status: In Progress → New
Brad Figg (brad-figg) on 2011-06-07
Changed in linux (Ubuntu):
status: New → Confirmed
Chris Van Hoof (vanhoof) on 2011-06-09
summary: - [Thinkpad X220/E220s] trackpoint/trackpoint displays odd behaviour
+ [Thinkpad X220/E220s/E420s] trackpoint/trackpoint displays odd behaviour
Keng-Yu Lin (lexical) wrote :

Attached my X220 dmi info. It has the same issue.

I think this is the pair issue of the trackpoint-not-enabled bug.

I was wondering if there is any BIOS update. I searched Lenovo website around a week ago but no found any.

Changed in linux (Ubuntu Natty):
status: Incomplete → Confirmed
Keng-Yu Lin (lexical) wrote :

A BIOS update available just checked:
  http://www-307.ibm.com/pc/support/site.wss/document.do?sitestyle=lenovo&lndocid=MIGR-77151

It upgrades BIOS version to 1.16, though does not fix this issue.

Chris Van Hoof (vanhoof) wrote :

Attaching my dmi information from my x220. I have not been able to reproduce this on either 1.12, or 1.16 BIOS updates, on a fully updated natty installation. Note that I did immediately swap in an Intel SSD, but other than that, the machine is untouched.

When using proto=bare, only one input device appears to be detected by psmouse, and both trackpoint and touchpad operate through that device. On the other hand, this device isn't detected to be a touchpad, so the evdev Xorg driver is used instead of the synaptics driver. That's why tapping, and every other touchpad-specific feature does not work.

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Victor Tuson Palau (vtuson) wrote :

we are going to sit on this bug for a bit, if no-one else marks this as affecting them we will assume this is a hardware issue with our systems or a very early bug already fixed.

Changed in linux (Ubuntu Oneiric):
status: Confirmed → Incomplete
Chris Van Hoof (vanhoof) on 2011-07-11
Changed in linux (Ubuntu Oneiric):
status: Incomplete → Confirmed
Casey Harkins (caseyharkins) wrote :

Not sure if its appropriate for launchpad, but this problem also affects Fedora 15 on the E420s. The E420s has an additional downside in that the touchpad cannot be disabled in the bios. Using psmouse.proto=bare allows both trackpoint and touchpad to be detected on boot, but the touchpad ends up being extremely sensitive to tap-to-click, leading to frequent accidental mouse clicks and drags while typing on the keyboard (that feature cannot be turned off when proto=bare).

I am happy to assist in debugging this issue, including installing Ubuntu, gathering i8042.debug data, etc. Just let me know what is needed.

Chris Van Hoof (vanhoof) on 2011-07-20
Changed in linux (Ubuntu Natty):
assignee: Keng-Yü Lin (lexical) → Chris Van Hoof (vanhoof)
Changed in linux (Ubuntu Oneiric):
assignee: Keng-Yü Lin (lexical) → Chris Van Hoof (vanhoof)
Curtis Menton (cgmenton) wrote :

I just want to note that this bug is affecting me as well on my x220 in natty. The trackpoint and trackpoint buttons work fine but the touchpad buttons behave inconsistently and the right button usually behaves as a left button, but not always! I'm happy to provide any debugging info that could be useful.

Chris Van Hoof (vanhoof) wrote :

@Curtis It sounds like you're referring to issues with the clickpad itself. This bug is specific to either the entire trackpad or touchpoint 'disappearing' randomly.

Here is a bit of information on the clickpad itself: https://help.ubuntu.com/community/X220#Touchpad

Chris Van Hoof (vanhoof) on 2011-08-17
tags: added: oneiric
Ayan George (ayan) on 2011-08-31
tags: added: blocks-hwcert-enablement
Jeff Lane (bladernr) wrote :

I wonder if half these button problems are because the clickpad doesn't have "buttons" per se, but rather areas at the bottom of the pad that are interpreted as buttons (like the areas on the edge that act as sliders on some pads...

Just fired up 11.10 on an X220 and there, at least, the trackpoint buttons (the three on top) seem to be working just fine. I too see intermittent use issues with the two "bottom buttons" on the clickpad, but it seems that part of that is bad thumb position and maybe over-senstivity on that area of the pad, interpreting the touch there as a pad touch rather than a button click...

Stephan Henningsen (zta77) wrote :

I'm not sure if this information is of any use at all but here goes:

I recently installed Oneiric on my girlfriends Samsung laptop, and its trackpad had the exact same behavior as described in comment #13. Note that this laptop does *not* have a Synaptics Touchpad but a different one which I of course can't remember the name of.

I worked around this by installing and booting the latest 2.6 kernel from Natty instead of the 3.0 from Oneiric.
The 2.6 kernel apparently has a bug that recognizes the trackpad as a Synaptics Touchpad, which I benefit from (sacrificing multitouch). More about this here: https://wiki.archlinux.org/index.php/Touchpad_Synaptics#Touchpad_detected_as_Logitech_PS.2F2_mouse_on_a_Samsung_notebook

I'm thinking that maybe downgrading the kernel could be helpful in debugging this.

Stephan Henningsen (zta77) wrote :

(Samsung touchpad is an Elan Tech)

Chris Van Hoof (vanhoof) wrote :

Marking this bug as invalid. This bug was specific to tracking the random loss of a trackpoint and/or touchpad buttongs (top of the touchpad) on the x220, e220s, and e420s, not specific to the clickpad itself.

Since the original issue appears to have only manifested on the first wave of these machines shipped and has not re-occured (no activity upstream or on the lists) I am going to close this bug out for now.

If you are having clickpad related issues please file a new bug or see the ones referenced in this report.

--chris

Changed in linux (Ubuntu Natty):
status: Confirmed → Invalid
Changed in linux (Ubuntu Oneiric):
status: Confirmed → Invalid
Changed in linux (Ubuntu):
assignee: Chris Van Hoof (vanhoof) → nobody
status: Confirmed → Invalid

If this is still seen please re-open/update the bug and also post a summary to <email address hidden> - thanks

Changed in linux:
status: Confirmed → Expired

This bug is still present in kernel 3.6.2 on my Thinkpad L430.

Likewise, still a problem in kernel 3.6.2-1 on Lenovo Thinkpad L530. Using `psmouse proto=impr` makes the trackpoint usable, but disables multitouch functionality.

Still having this problem too, kernel 3.6.2 on Thinkpad E420s

I posted this on linux-input sometime back, but either forgot to attach the log files, or they got stripped: http://thread.gmane.org/gmane.linux.kernel.input/21804

I'll attach the log files here instead.

Created attachment 85741
i8042.debug output from modprobing psmouse until i8042 settles

Created attachment 85751
i8042.debug output between attempting to move the undetected trackpoint and i8042 settling again

Changed in linux:
status: Expired → Confirmed

I'm also having this problem on a Lenovo L430 but logged it against bug #48161.

At least the case with the Lenovo L430 touchpad & trackpoint is that when the device is detected as ETPS/2 Elantech Touchpad touching the trackpoint sends a series of bytes which confuses the elantech driver. And leads to lost sync at byte 6 / driver resynced messages.

If imps protocol is forced, both trackpoint and touchpad work fine, but advanced configuration possibilities are lost.

What I've figured out so far is that in the Elantech/synaptics mode the trackpoint sends 6 byte PS/2ish data:
0x30 0x00 0x00 0x06 0xf5 0xfc
0x30 0x00 0x00 0x06 0xfa 0xfd
0x30 0x00 0x00 0x06 0xfb 0xfe
0x30 0x00 0x00 0x06 0xfb 0xfd
0x30 0x00 0x00 0x06 0xfb 0xfe
0x30 0x00 0x00 0x06 0xf5 0xfb
0x30 0x00 0x00 0x06 0xf9 0xfe
0x30 0x00 0x00 0x06 0xf5 0xfb
0x30 0x00 0x00 0x06 0xfa 0xfd
0x30 0x00 0x00 0x06 0xf5 0xfb
0x30 0x00 0x00 0x06 0xfa 0xfd

Which should be parsed separately by the Elantech driver or some other driver?
Any way the format seems to be something like this
1st byte: [possibly Y overflow?, possibly X overflow?, Y sign, X sign, ??, Middle Btn, Right Btn, Left Btn]
2nd byte: No idea, most of the time either 0x00 or 0x80
3rd byte: No idea, most of the time either 0x00 or 0x80
4th byte: No idea about the 1st half, lower half is 0x6 for trackpoint events
5th byte: Rest of the X movement
6th byte: Rest of the Y movement

With this I at least was able to hack the elantech driver so that the trackpoint and touchpad are usable, however the problem (besides the unknown data) is that I have no idea how to detect if the device has a trackpoint, so can't really create a patch that would be suitable for other configurations.

I have no idea about the elantech+synaptics combination. However, I had a patch(https://lkml.org/lkml/2012/10/31/211) which was to solve the detection of synaptics trackpoint issue mentioned above. Please give it a try and any feedback will be appreciated.

(In reply to comment #22)
> I have no idea about the elantech+synaptics combination. However, I had a
> patch(https://lkml.org/lkml/2012/10/31/211) which was to solve the detection
> of
> synaptics trackpoint issue mentioned above. Please give it a try and any
> feedback will be appreciated.

This patch didn't change the behavior on an L430 for me but it's an Elantech trackpad. Still see the following in my message log:

Nov 8 23:55:52 l430kl kernel: [ 950.573824] psmouse serio1: elantech: assuming hardware version 3 (with firmware version 0x350f02)
Nov 8 23:55:52 l430kl kernel: [ 950.587737] psmouse serio1: elantech: Synaptics capabilities query result 0xb9, 0x15, 0x0c.
Nov 8 23:55:53 l430kl kernel: [ 950.657384] input: ETPS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input14
Nov 8 23:56:01 l430kl kernel: [ 959.193698] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Nov 8 23:56:01 l430kl kernel: [ 959.279526] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Nov 8 23:56:01 l430kl kernel: [ 959.294517] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Nov 8 23:56:01 l430kl kernel: [ 959.309014] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Nov 8 23:56:01 l430kl kernel: [ 959.323015] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
Nov 8 23:56:01 l430kl kernel: [ 959.323024] psmouse serio1: issuing reconnect request

The timeouts are generated as soon as I touch the trackpoint which doesn't function.

Still seeing this problem on my thinkpad e420s, the exact behaviour for me is this:
after sleep/wake or start up the touchpad takes a few seconds to be detected, after that I click a trackpoint button, the touchpad stops working for a few seconds, when it starts working again one of two things happens:
1. the trackpoint and buttons start working again, along with the touchpad
2. the touchpad is working but continuing to press the buttons or trackpoint does nothing

it seems completely random which of the above happens, if 2 happens I have to call rmmod psmouse && modprobe psmouse to restart the above, has same effect as sleep/wake. The amount of time it waits varies as well.

this is the output from scenario 1, good:
[57553.675253] psmouse serio1: synaptics: serio: Synaptics pass-through port at isa0060/serio1/input0
[57553.759237] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input19
[57563.997514] psmouse serio6: (null) at synaptics-pt/serio0/input0 lost synchronization, throwing 1 bytes away.
[57565.808609] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/serio6/input/input20

and 2, bad:
[57533.017205] psmouse serio1: synaptics: serio: Synaptics pass-through port at isa0060/serio1/input0
[57533.105277] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input18
[57553.675233] psmouse serio1: synaptics: Touchpad model: 1, fw: 8.0, id: 0x1e2b1, caps: 0xd001a3/0x940300/0x120c00, board id: 1719, fw id: 727581

This is on 3.7.6

Fujitsu Lifebook E754, Debian testing, Linux 4.4.6-1 (2016-03-17) x86_64 GNU/Linux

...
[ 11.040041] psmouse serio5: (null) at synaptics-pt/serio0/input0 lost synchronization, throwing 2 bytes away.
[ 12.633371] input: PS/2 Generic Mouse as /devices/platform/i8042/serio2/serio5/input/input9
[ 12.782945] psmouse serio2: TouchPad at isa0060/serio2/input0 lost sync at byte 1
[ 12.783532] psmouse serio2: TouchPad at isa0060/serio2/input0 lost sync at byte 1
[ 12.784136] psmouse serio2: TouchPad at isa0060/serio2/input0 lost sync at byte 1
[ 12.784761] psmouse serio2: TouchPad at isa0060/serio2/input0 lost sync at byte 1
[ 12.785281] psmouse serio2: TouchPad at isa0060/serio2/input0 lost sync at byte 1
[ 12.785285] psmouse serio2: issuing reconnect request
...

Created attachment 257213
try to deactivate/activeate mouse again if it failed.

Trackpoint is disconnected caused by failing to deactivate parent mouse ( synaptics in T460p).

Many functions deactivate parent mouse without checking the return value.
So try to deactivate mouse again when it failed.
It works.

Comment on attachment 257213
try to deactivate/activeate mouse again if it failed.

>diff --git a/drivers/input/mouse/psmouse-base.c
>b/drivers/input/mouse/psmouse-base.c
>index a598b72..ebec46d 100644
>--- a/drivers/input/mouse/psmouse-base.c
>+++ b/drivers/input/mouse/psmouse-base.c
>@@ -1255,7 +1255,10 @@ static void psmouse_initialize(struct psmouse *psmouse)
> */
> int psmouse_activate(struct psmouse *psmouse)
> {
>- if (ps2_command(&psmouse->ps2dev, NULL, PSMOUSE_CMD_ENABLE)) {
>+ int tries = 0;
>+ while (tries++ < 5 && ps2_command(&psmouse->ps2dev, NULL,
>PSMOUSE_CMD_ENABLE))
>+ ;
>+ if (tries > 5) {
> psmouse_warn(psmouse, "Failed to enable mouse on %s\n",
> psmouse->ps2dev.serio->phys);
> return -1;
>@@ -1271,7 +1274,10 @@ int psmouse_activate(struct psmouse *psmouse)
> */
> int psmouse_deactivate(struct psmouse *psmouse)
> {
>- if (ps2_command(&psmouse->ps2dev, NULL, PSMOUSE_CMD_DISABLE)) {
>+ int tries = 0;
>+ while (tries++ < 5 && ps2_command(&psmouse->ps2dev, NULL,
>PSMOUSE_CMD_DISABLE))
>+ ;
>+ if (tries > 5) {
> psmouse_warn(psmouse, "Failed to deactivate mouse on %s\n",
> psmouse->ps2dev.serio->phys);
> return -1;

I have this problem too. Thinkpad x250. Kernel 5.0.0-37-generic.

Trackpoint is not working at all.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.